# Class TreeClonerNoTimer

java.lang.Object
org.apache.jmeter.engine.TreeCloner
org.apache.jmeter.engine.TreeClonerNoTimer

All Implemented Interfaces:
  `HashTreeTraverser`

public class TreeClonerNoTimer extends TreeCloner
Clones the test tree, skipping test elements that implement `Timer` by default.

## Constructor Summary

Constructors
Constructor
Description
`TreeClonerNoTimer()`
`TreeClonerNoTimer(boolean honourNoThreadClone)`

## Method Summary

Modifier and Type
Method
Description
`protected Object`
`addNodeToTree(Object node)`
Doesn't add Timer to tree

### Methods inherited from class TreeCloner

`addNode, getClonedTree, processPath, subtractNode`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TreeClonerNoTimer

public TreeClonerNoTimer()

### TreeClonerNoTimer

public TreeClonerNoTimer(boolean honourNoThreadClone)

## Method Details

### addNodeToTree

protected Object addNodeToTree(Object node)
Doesn't add Timer to tree

Overrides:
  `addNodeToTree` in class `TreeCloner`
Parameters:
  `node` - Node to add to tree or not
Returns:
  Object node (clone or not)
See Also:
  - `TreeCloner.addNodeToTree(java.lang.Object)`